Bug 891165 - Review Request: perl-Test-Routine - Composable units of assertion
Summary: Review Request: perl-Test-Routine - Composable units of assertion
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 892433
TreeView+ depends on / blocked
 
Reported: 2013-01-02 05:49 UTC by Mathieu Bridon
Modified: 2013-01-21 03:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-21 03:16:03 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mathieu Bridon 2013-01-02 05:49:14 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-Test-Routine.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Test-Routine-0.015-1.fc18.src.rpm

Description:
Test::Routine is a very simple framework for writing your tests as
composable units of assertion. In other words: roles.

Fedora Account System Username: bochecha

Comment 1 Petr Šabata 2013-01-16 14:05:11 UTC
Taking the review.

Comment 2 Petr Šabata 2013-01-16 15:30:34 UTC
Issues:

Missing buildtime dependencies:
perl(Carp)
perl(Class::MOP)
perl(Moose)
perl(Moose::Meta::Class)
perl(Moose::Role)
perl(Moose::Util)
perl(Moose::Util::TypeConstraints)
perl(MooseX::Role::Parameterized)
perl(namespace::clean)
perl(Params::Util)
perl(Scalar::Util)
perl(Sub::Exporter)
perl(Sub::Exporter::Util)

They're all used during the test phase.
Besides those, there's nothing to complain about :)

Comment 3 Mathieu Bridon 2013-01-17 07:56:11 UTC
Thanks Petr.

I have a feeling that I'm often making the same mistake. :P

Here is the new submission.

Spec URL: http://bochecha.fedorapeople.org/packages/perl-Test-Routine.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Test-Routine-0.015-2.fc18.src.rpm

Comment 4 Petr Šabata 2013-01-17 15:43:46 UTC
(In reply to comment #3)
> I have a feeling that I'm often making the same mistake. :P

I'm sure you won't in the future :)

All issues addressed, approving.

Comment 5 Mathieu Bridon 2013-01-18 03:08:43 UTC
New Package SCM Request
=======================
Package Name: perl-Test-Routine
Short Description: Composable units of assertion
Owners: bochecha
Branches: devel
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2013-01-18 11:55:45 UTC
Git done (by process-git-requests).

Comment 7 Mathieu Bridon 2013-01-21 03:16:03 UTC
Thanks for the review Petr, and thank you Jon for the Git processing.

Package is built in Rawhide, closing.


Note You need to log in before you can comment on or make changes to this bug.